> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete one of your Users.



## OpenAPI

````yaml account.latest.product.live DELETE /users/{id}
openapi: 3.0.0
info:
  title: Account API
  description: Manage Sequence accounts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /users/{id}:
    servers: []
    parameters: []
    delete:
      tags:
        - Users
      summary: Delete User
      description: Delete one of your Users.
      operationId: deleteUsersById
      parameters:
        - name: id
          in: path
          description: Sequence User ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SequenceUserResponse'
                example:
                  id: 7b1f28b9-a4ad-450b-a0ea-fd647d5109b2
                  email: person@example.com
                  sequenceAccountIds:
                    - 724c4f93-8606-4a38-bfbf-50a7045e4eaa
                  state: deleted
                  roles:
                    - roleName: salesUser
                      permissions:
                        - resource: org.customer
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.billing
                          actions:
                            - read
                        - resource: org.product
                          actions:
                            - read
                        - resource: org.quote
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                            - publish
                            - accept
                        - resource: org.invoice
                          actions:
                            - read
                        - resource: org.creditNote
                          actions:
                            - read
                        - resource: org.usage
                          actions:
                            - read
                        - resource: org.revenueRecognition
                          actions:
                            - read
                        - resource: org.settings
                          actions:
                            - read
                            - invite
                        - resource: org.integration
                          actions:
                            - read
                        - resource: org.tax
                          actions:
                            - read
                        - resource: org.asset
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.watchtower
                          actions:
                            - read
                        - resource: org.bulkAction
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.savedView
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                    - roleName: financeUser
                      permissions:
                        - resource: org.customer
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.billing
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                            - start
                        - resource: org.product
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.quote
                          actions:
                            - read
                            - execute
                        - resource: org.invoice
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                            - finalize
                            - send
                        - resource: org.creditNote
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                            - finalize
                            - send
                        - resource: org.usage
                          actions:
                            - read
                        - resource: org.revenueRecognition
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.settings
                          actions:
                            - read
                            - invite
                        - resource: org.integration
                          actions:
                            - read
                        - resource: org.tax
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.asset
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.watchtower
                          actions:
                            - read
                        - resource: org.bulkAction
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
                        - resource: org.savedView
                          actions:
                            - create
                            - read
                            - update
                            - delete
                            - archive
              examples:
                SequenceUserResponse:
                  summary: ''
                  value:
                    id: 7b1f28b9-a4ad-450b-a0ea-fd647d5109b2
                    email: person@example.com
                    sequenceAccountIds:
                      - 724c4f93-8606-4a38-bfbf-50a7045e4eaa
                    state: deleted
                    roles:
                      - roleName: salesUser
                        permissions:
                          - resource: org.customer
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.billing
                            actions:
                              - read
                          - resource: org.product
                            actions:
                              - read
                          - resource: org.quote
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                              - publish
                              - accept
                          - resource: org.invoice
                            actions:
                              - read
                          - resource: org.creditNote
                            actions:
                              - read
                          - resource: org.usage
                            actions:
                              - read
                          - resource: org.revenueRecognition
                            actions:
                              - read
                          - resource: org.settings
                            actions:
                              - read
                              - invite
                          - resource: org.integration
                            actions:
                              - read
                          - resource: org.tax
                            actions:
                              - read
                          - resource: org.asset
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.watchtower
                            actions:
                              - read
                          - resource: org.bulkAction
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.savedView
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                      - roleName: financeUser
                        permissions:
                          - resource: org.customer
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.billing
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                              - start
                          - resource: org.product
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.quote
                            actions:
                              - read
                              - execute
                          - resource: org.invoice
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                              - finalize
                              - send
                          - resource: org.creditNote
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                              - finalize
                              - send
                          - resource: org.usage
                            actions:
                              - read
                          - resource: org.revenueRecognition
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.settings
                            actions:
                              - read
                              - invite
                          - resource: org.integration
                            actions:
                              - read
                          - resource: org.tax
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.asset
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.watchtower
                            actions:
                              - read
                          - resource: org.bulkAction
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
                          - resource: org.savedView
                            actions:
                              - create
                              - read
                              - update
                              - delete
                              - archive
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    SequenceUserResponse:
      required:
        - email
        - id
        - roles
        - sequenceAccountIds
        - state
      type: object
      example:
        id: 7b1f28b9-a4ad-450b-a0ea-fd647d5109b2
        email: john@example.xyz
        sequenceAccountIds:
          - 83da2ca4-49c7-4d81-9c9a-ba5be11768b0
          - c0901c87-e1a9-48e9-9e2f-9e05c402dcea
        state: active
        roles:
          - roleName: financeUser
            permissions:
              - resource: org.customer
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.billing
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
                  - start
              - resource: org.product
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.quote
                actions:
                  - read
                  - execute
              - resource: org.invoice
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
                  - finalize
                  - send
              - resource: org.creditNote
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
                  - finalize
                  - send
              - resource: org.usage
                actions:
                  - read
              - resource: org.revenueRecognition
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.settings
                actions:
                  - read
                  - invite
              - resource: org.integration
                actions:
                  - read
              - resource: org.tax
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.asset
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.watchtower
                actions:
                  - read
              - resource: org.bulkAction
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
              - resource: org.savedView
                actions:
                  - create
                  - read
                  - update
                  - delete
                  - archive
      properties:
        id:
          type: string
          description: The unique ID of this user.
          example: 7b1f28b9-a4ad-450b-a0ea-fd647d5109b2
        email:
          type: string
          description: The email address of this user.
          example: john@example.xyz
        sequenceAccountIds:
          type: array
          description: >-
            A list of Sequence account IDs. These account IDs represent the
            accounts this user has access to.
          example:
            - 83da2ca4-49c7-4d81-9c9a-ba5be11768b0
            - c0901c87-e1a9-48e9-9e2f-9e05c402dcea
          items:
            type: string
        state:
          type: string
          description: The state of this user.
          example: active
        roles:
          type: array
          description: The roles assigned to this user for the current Sequence account.
          example:
            - roleName: financeUser
              permissions:
                - resource: org.customer
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.billing
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                    - start
                - resource: org.product
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.quote
                  actions:
                    - read
                    - execute
                - resource: org.invoice
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                    - finalize
                    - send
                - resource: org.creditNote
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                    - finalize
                    - send
                - resource: org.usage
                  actions:
                    - read
                - resource: org.revenueRecognition
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.settings
                  actions:
                    - read
                    - invite
                - resource: org.integration
                  actions:
                    - read
                - resource: org.tax
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.asset
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.watchtower
                  actions:
                    - read
                - resource: org.bulkAction
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
                - resource: org.savedView
                  actions:
                    - create
                    - read
                    - update
                    - delete
                    - archive
          items:
            $ref: '#/components/schemas/Role'
    Role:
      type: object
      example:
        roleName: financeUser
        permissions:
          - resource: org.customer
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.billing
            actions:
              - create
              - read
              - update
              - delete
              - archive
              - start
          - resource: org.product
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.quote
            actions:
              - read
              - execute
          - resource: org.invoice
            actions:
              - create
              - read
              - update
              - delete
              - archive
              - finalize
              - send
          - resource: org.creditNote
            actions:
              - create
              - read
              - update
              - delete
              - archive
              - finalize
              - send
          - resource: org.usage
            actions:
              - read
          - resource: org.revenueRecognition
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.settings
            actions:
              - read
              - invite
          - resource: org.integration
            actions:
              - read
          - resource: org.tax
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.asset
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.watchtower
            actions:
              - read
          - resource: org.bulkAction
            actions:
              - create
              - read
              - update
              - delete
              - archive
          - resource: org.savedView
            actions:
              - create
              - read
              - update
              - delete
              - archive
      enum:
        - >-
          {"roleName":"admin","permissions":[{"resource":"org.customer","actions":["create","read","update","delete","archive"]},{"resource":"org.billing","actions":["create","read","update","delete","archive","start"]},{"resource":"org.product","actions":["create","read","update","delete","archive"]},{"resource":"org.invoice","actions":["create","read","update","delete","archive","finalize","send"]},{"resource":"org.creditNote","actions":["create","read","update","delete","archive","finalize","send"]},{"resource":"org.quote","actions":["create","read","update","delete","archive","publish","accept","execute"]},{"resource":"org.revenueRecognition","actions":["create","read","update","delete","archive"]},{"resource":"org.usage","actions":["create","read","update","delete","archive"]},{"resource":"org.settings","actions":["create","read","update","delete","archive","invite"]},{"resource":"org.integration","actions":["create","read","update","delete","archive"]},{"resource":"org.tax","actions":["create","read","update","delete","archive"]},{"resource":"org.asset","actions":["create","read","update","delete","archive"]},{"resource":"org.watchtower","actions":["create","read","update","delete","archive"]},{"resource":"org.bulkAction","actions":["create","read","update","delete","archive"]},{"resource":"org.savedView","actions":["create","read","update","delete","archive"]}]}
        - >-
          {"roleName":"financeUser","permissions":[{"resource":"org.customer","actions":["create","read","update","delete","archive"]},{"resource":"org.billing","actions":["create","read","update","delete","archive","start"]},{"resource":"org.product","actions":["create","read","update","delete","archive"]},{"resource":"org.quote","actions":["read","execute"]},{"resource":"org.invoice","actions":["create","read","update","delete","archive","finalize","send"]},{"resource":"org.creditNote","actions":["create","read","update","delete","archive","finalize","send"]},{"resource":"org.usage","actions":["read"]},{"resource":"org.revenueRecognition","actions":["create","read","update","delete","archive"]},{"resource":"org.settings","actions":["read","invite"]},{"resource":"org.integration","actions":["read"]},{"resource":"org.tax","actions":["create","read","update","delete","archive"]},{"resource":"org.asset","actions":["create","read","update","delete","archive"]},{"resource":"org.watchtower","actions":["read"]},{"resource":"org.bulkAction","actions":["create","read","update","delete","archive"]},{"resource":"org.savedView","actions":["create","read","update","delete","archive"]}]}
        - >-
          {"roleName":"salesUser","permissions":[{"resource":"org.customer","actions":["create","read","update","delete","archive"]},{"resource":"org.billing","actions":["read"]},{"resource":"org.product","actions":["read"]},{"resource":"org.quote","actions":["create","read","update","delete","archive","publish","accept"]},{"resource":"org.invoice","actions":["read"]},{"resource":"org.creditNote","actions":["read"]},{"resource":"org.usage","actions":["read"]},{"resource":"org.revenueRecognition","actions":["read"]},{"resource":"org.settings","actions":["read","invite"]},{"resource":"org.integration","actions":["read"]},{"resource":"org.tax","actions":["read"]},{"resource":"org.asset","actions":["create","read","update","delete","archive"]},{"resource":"org.watchtower","actions":["read"]},{"resource":"org.bulkAction","actions":["create","read","update","delete","archive"]},{"resource":"org.savedView","actions":["create","read","update","delete","archive"]}]}
        - >-
          {"roleName":"readOnlyUser","permissions":[{"resource":"org.customer","actions":["read"]},{"resource":"org.billing","actions":["read"]},{"resource":"org.product","actions":["read"]},{"resource":"org.quote","actions":["read"]},{"resource":"org.invoice","actions":["read"]},{"resource":"org.creditNote","actions":["read"]},{"resource":"org.usage","actions":["read"]},{"resource":"org.revenueRecognition","actions":["read"]},{"resource":"org.settings","actions":["read"]},{"resource":"org.integration","actions":["read"]},{"resource":"org.tax","actions":["read"]},{"resource":"org.asset","actions":["read"]},{"resource":"org.watchtower","actions":["read"]},{"resource":"org.bulkAction","actions":["read"]},{"resource":"org.savedView","actions":["read"]}]}

````